%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}

Name:           perl-Convert-BinHex
Version:        1.119
Release:        1
Epoch:          0
Summary:        Macintosh BinHex extractor library for Perl

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Convert-BinHex/
Source0:        http://www.cpan.org/authors/id/E/ER/ERYQ/Convert-BinHex-1.119.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.1
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Convert::BinHex extracts data from Macintosh BinHex files.


%prep
%setup -q -n Convert-BinHex-%{version}
chmod -x bin/*.pl docs/Convert/BinHex/*.gif
cp -a bin examples
%{__perl} -pi -e 's/^use lib .*$//' bin/*.pl
%{__perl} -pi -e 's/^(\@ISA.*)/require Exporter; $1/' t/Checker.pm


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check || :
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README docs examples
%{perl_vendorlib}/Convert
%{_mandir}/man3/Convert::BinHex.3*


%changelog
* Wed Sep 15 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.119-1
- First build.
